{html_head}
<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key={$GMAPS_API_KEY}" type="text/javascript"></script>
<script src="{$PLUGIN_ROOT_URL}/template/windows_13/javascripts/prototype.js" type="text/javascript"></script>
<script src="{$PLUGIN_ROOT_URL}/template/windows_13/javascripts/window.js" type="text/javascript" defer="defer"></script>
<link href="{$PLUGIN_ROOT_URL}/template/windows_13/themes/default.css" rel="stylesheet" type="text/css">
<link href="{$PLUGIN_ROOT_URL}/template/windows_13/themes/alphacube.css" rel="stylesheet" type="text/css">

<style type="text/css">{literal}
#mapPicture {
	position:absolute;
	width: 310px;
}

#map {
	position:relative;
	left: 320px;
	margin-right: 320px;
	height: 512px;
	min-height: 512px;
}

#thumbPrev, #thumbNext {display:none;}
{/literal}</style>
{/html_head}

<div id="mapPicture">
<a href="{$U_NO_MAP}" title="{'mode_normal_hint'|@translate}" rel="nofollow"><img src="{$TN_SRC}" alt="thumb"/></a>
<br/>
<a href="{$U_BLOWUP}" onclick="return blowupUrl(this.href);">{'More pictures near this location'|@translate}</a>
<br/>
{$COMMENT_IMG}
<br/>
</div>

<div id="map"></div>

<div style="clear:both"></div>
<script type="text/javascript">{literal}
//<![CDATA[
function onLoad()
{
  if (!GBrowserIsCompatible())
    return;

  var mapElement = document.getElementById("map");
  var map = new GMap2( mapElement );
  
  map.addControl(new GLargeMapControl());
  map.addControl(new GMapTypeControl());
  map.addControl(new GScaleControl());
{/literal}{if isset($coordinates)}
  var coord = new GLatLng( {$coordinates.LAT}, {$coordinates.LON} );
  map.setCenter( coord, 12 );
  var marker = new GMarker(coord);
  map.addOverlay(marker);
{/if}{literal}
  if ( !map.isLoaded() )
    map.setCenter( new GLatLng(0,0), 2);
  try {
    // the overview must be added after setting map center
    var ovcontrol = new GOverviewMapControl(new GSize(165,165));
		map.addControl(ovcontrol);
		var ov_map = ovcontrol.getOverviewMap();
		GEvent.addListener(map, 'maptypechanged', function(){
			ov_map.setMapType(G_NORMAL_MAP);
		});
  }
  catch(e){ alert( e.message ); }
  
  map.enableDoubleClickZoom();
}

function blowupUrl(theUrl)
{
  var win = new Window({
    title: document.title,
    url: theUrl,
    classname: "alphacube",
    left: 0, top: 0,
    width:"640", height:"480",
    minimizable: false,
    maximizable: false,
    draggable: false,
    resizable: false,
    destroyOnClose: true,
    hideEffect: Element.hide,
    showEffectOptions: {duration:1.5}
  });

  win.setConstraint(true, {top:20, left:20, bottom:30, right:20} );
  win.maximize();
  win.showCenter(true, 20, 20);
  return false;
}

Event.observe(window, 'load', onLoad );
Event.observe(window, 'unload', GUnload );
//]]>
{/literal}</script>